aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrc.d/init.d/netfs6
1 files changed, 5 insertions, 1 deletions
diff --git a/rc.d/init.d/netfs b/rc.d/init.d/netfs
index 263accff..bdcc6845 100755
--- a/rc.d/init.d/netfs
+++ b/rc.d/init.d/netfs
@@ -66,7 +66,11 @@ case "$1" in
STRING=$"Checking network-attached filesystems"
echo $STRING
- fsck -A -T -M -a -t opts=_netdev
+ (
+ flock -ne 200 || exit 1
+ fsck -A -T -M -a -t opts=_netdev
+ exit $?
+ ) 200>/var/lock/subsys/netfs-fsck.lock
rc=$?
if [ "$rc" -eq "0" ]; then